VIRULENCEFINDER.PY(1)

NAME
virulencefinder.py - identify virulence genes in total or partial sequenced isolates of bacteria

DESCRIPTION
usage: virulencefinder.py [-h] -i INFILE [INFILE ...] [-o OUTDIR]

[-tmp TMP_DIR] [-mp METHOD_PATH] [-p DB_PATH]
    [-d DATABASES] [-l MIN_COV] [-t THRESHOLD] [-x] [--speciesinfo_json SPECIESINFO_JSON] [-q]

  optional arguments:

-h, --help
    show this help message and exit

-i INFILE [INFILE ...], --infile INFILE [INFILE ...]
    FASTA or FASTQ input files.

-o OUTDIR, --outputPath OUTDIR
    Path to blast output

-tmp TMP_DIR, --tmp_dir TMP_DIR
    Temporary directory for storage of the results from the external software.

-mp METHOD_PATH, --methodPath METHOD_PATH
    Path to method to use (kma or blastn)

-p DB_PATH, --databasePath DB_PATH
    Path to the databases

-d DATABASES, --databases DATABASES
    Databases chosen to search in - if non is specified all is used

-l MIN_COV, --mincov MIN_COV
    Minimum coverage

-t THRESHOLD, --threshold THRESHOLD
    Minimum hreshold for identity

-x, --extented_output
    Give extented output with allignment files, template and query hits in fasta and a tab seperated file with gene profile results

--speciesinfo_json SPECIESINFO_JSON
    Argument used by the cge pipeline. It takes a list in json format consisting of taxonomy, from domain -> species. A database is chosen based on the taxonomy.

-q, --quiet

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.